Available in Classic and VPC
Get the last access information for a sub account. You can view the last sub account login date and time, last Git login (Source Commit) date and time, and last access key usage date and time.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v1/users/{subAccountId}/last-access-summary |
Request headers
For information about the headers common to all Sub Account APIs, see Sub Account request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
subAccountId |
String | Required | Sub account ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/users/dfafe250-****-****-****-246e96591594/last-access-summary' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
subAccountId |
String | - | Sub account ID |
lastLogin |
String | - | Last sub account login date and time |
lastGitLogin |
String | - | Last Git (Source Commit) login date and time |
lastAccessKeyUsed |
String | - | Last access key usage date and time |
unusedDays |
String | - | Number of days the sub account has not been used |
Response status codes
For information about the HTTP status codes common to all Sub Account APIs, see Sub Account status codes.
Response example
The response example is as follows:
{
"idNo": "dfafe250-****-****-****-246e96591594",
"lastLogin": "2025-12-10T04:44:29.467Z",
"lastGitLogin": "2025-12-10T04:44:29.467Z",
"lastAccessKeyUsed": [
{
"accessKey": "ncp_iam_BGAS********",
"lastUsed": "2025-12-10T04:44:29.467Z"
}
],
"lastUsedTime": "2025-12-10T04:44:29.467Z",
"unusedDays": 0
}